Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/04/2021 in all areas

  1. Here's another way to write it: (defun c:dimover ( / i s ) (if (setq s (ssget "_X" '((0 . "*DIMENSION")(1 . "*?*")(1 . "~*<>*")))) (repeat (setq i (sslength s)) (entmod (append (entget (ssname s (setq i (1- i)))) '((62 . 1)))) ) ) (princ) )
    2 points
  2. If you supply a partial DXF list to the entmod function, only those groups included in the list will be modified (provided that there are sufficient groups present to identify the entity in the drawing database), as such, I believe you would need to delete & recreate the entity with the relevant groups removed, e.g.: (defun c:test ( / ent enx ) (if (and (setq ent (car (entsel))) (= "MTEXT" (cdr (assoc 0 (setq enx (entget ent))))) ) (if (entmake (vl-remove-if '(lambda ( x ) (= 3 (car x))) enx)) (entdel ent) (princ "\nUnable to create modified entity.") ) (princ "\nNothing selected or object wasn't MText.") ) (princ) )
    2 points
  3. Even with the 2021.1 update the only way I was able to to get it to remove the TEXT color was using MATCHPROP to the ones you created. Easy workaround at least. It's best not to ever use Standard style name for Multileaders, Dimensions or Text as they differ from user to user and often drawing to drawing. Try and give them distinctive names indicating properties differ from Standard. The drawing you got from someone else had that style defined differently which may have caused the issue as they both share the Standard Multileader style name while having obvious differences like arrow sizes.
    1 point
  4. I wouldn't artificially restrict yourself to using the same method for every program - it's all about selecting the appropriate tool for the job
    1 point
  5. Steven, If Stefan BMR's routine doesn't do what need, then you need to look for OCR software (Optical Character Recognition), this ability can be found in PDF and Raster to Vector programs. There are a few out there that might do what you need and if it is only one drawing that needs converting just try the demos as some of them are quite expensive.
    1 point
  6. Could be, one problem is I don't think dynamic blocks where designed with this type of project in mind, so there is no book of rules saying if you do this with a linear parameter then you need to do that with a rotation action. There are fairly good descriptions and rules of logic described in the help files but once you start combining all these elements then it is down to trial and error. That doesn't mean it isn't possible but it does make for a lot of headaches. All you can do is look at the block, try an action and follow what happens, and often it is just down to guess work.
    1 point
  7. I didn't notice the flip action behaving that way, it could be a version issue. neat block, and really neat method, looks like I have to read up on this, and practice, I can see this in my future.
    1 point
  8. try removing the visibilty parameters/actions from the flip action, unless you absolutely have to flip them. But this getting into difficult terrain some parameters are choosy over what needs to be selected and what doesn't, there are some parameters that will only work with other parameters when you only select either the parameter or just the action of that parameter, and this really is a trial and error experience.
    1 point
  9. If you have a license of Civil 3D you do not need any other license to run Map3D from the Map workspace(s) in Civil3D.
    1 point
  10. Hello If you are having trouble running StripMtext in AutoCAD 2021, please verify you have installed the AutoCAD 2021.1 update that was released in August 2020. This update fixes a bug in AutoLisp that broke the Vbscript RegEx object which StripMtext (and similar routines) use to find and remove formatting codes in a mtext. if after verifying you still are having trouble, then let me know and I’ll look into it. HTH, Steve Doman
    1 point
  11. After you start the Presspull command, hit the M key on your keyboard. Then you can select several closed boundaries to extrude. You can also start the Presspull command, select a closed boundary and then hit M to continue selecting more boundaries.
    1 point
  12. Here you have it... Select rectangles, and it should be fine. Just make sure that all the rectangles and texts are visible on the screen prior to pressing Enter. (defun c:rectcsv ( / *error* acadobj activeundo adoc coords csv del dis getcoords i len lst->str opf pth ss txt txtcont wid) (defun *error* ( msg ) (if opf (close opf)) (vla-EndUndoMark adoc) (if (not (wcmatch (strcase msg T) "*break*,*cancel*,*exit*")) (princ (strcat "Error: " msg)) ) ) (defun getcoords (ln) (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget ln)))) (defun lst->str (lst del) (apply 'strcat (append (list (car lst)) (mapcar '(lambda (x) (strcat del x)) (cdr lst))))) (setq acadobj (vlax-get-acad-object) adoc (vla-get-ActiveDocument acadobj) activeundo nil) (if (= 0 (logand 8 (getvar "UNDOCTL"))) (vla-StartUndoMark adoc) (setq activeundo T)) (if (and (setq ss (ssget '((0 . "LWPOLYLINE") (70 . 1) (90 . 4)))) (setq pth (getfiled "Select CSV Output file" "" "csv" 1)) ) (progn (setq del (cond ((vl-registry-read "HKEY_CURRENT_USER\\Control Panel\\International" "sList")) (","))) (repeat (setq i (sslength ss)) (setq coords (getcoords (ssname ss (setq i (1- i)))) dis (mapcar 'distance coords (cdr coords)) wid (apply 'min dis) len (apply 'max dis) txt (ssget "CP" coords '((0 . "TEXT"))) txtcont (if txt (strcat "\"" (lst->str (mapcar '(lambda (x) (cdr (assoc 1 (entget x)))) (JH:selset-to-list txt)) ",") "\"") "") csv (cons (strcat (lst->str (mapcar 'rtos (list len wid)) del) del txtcont) csv) ) ) (if (setq opf (open pth "w")) (progn (foreach x (cons "L,W,ID" (reverse csv)) (write-line x opf)) (close opf) ; (startapp "explorer" pth) ; <-- To directly open the CSV file, uncomment this line ) (alert "\nCSV file not successfully created! Please check that the file is closed and try again!") ) ) ) (if activeundo nil (vla-EndUndoMark adoc)) (princ) ) ;; JH:selset-to-list --> Jonathan Handojo ;; Returns a list of entities from a selection set ;; ss - selection set (defun JH:selset-to-list (selset / lst iter) (if selset (repeat (setq iter (sslength selset)) (setq lst (cons (ssname selset (setq iter (1- iter))) lst)) ) ) )
    1 point
  13. Because the verticals run on top of the vanilla Autocad there is no need to install the vanilla Autocad. For instance with Civl3D, it runs on top of Map3D witch runs on top of Vanilla Autocad. So with one install of Civil3D you are installing 3 products so to speak.
    1 point
×
×
  • Create New...